texinfo-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

texinfo/tp/maintain all_tests.sh


From: Patrice Dumas
Subject: texinfo/tp/maintain all_tests.sh
Date: Sat, 08 Dec 2012 17:00:59 +0000

CVSROOT:        /sources/texinfo
Module name:    texinfo
Changes by:     Patrice Dumas <pertusus>        12/12/08 17:00:59

Modified files:
        tp/maintain    : all_tests.sh 

Log message:
        Source defs only if needed.

CVSWeb URLs:
http://cvs.savannah.gnu.org/viewcvs/texinfo/tp/maintain/all_tests.sh?cvsroot=texinfo&r1=1.9&r2=1.10

Patches:
Index: all_tests.sh
===================================================================
RCS file: /sources/texinfo/texinfo/tp/maintain/all_tests.sh,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -b -r1.9 -r1.10
--- all_tests.sh        17 Nov 2012 12:37:30 -0000      1.9
+++ all_tests.sh        8 Dec 2012 17:00:59 -0000       1.10
@@ -15,19 +15,9 @@
   exit 1
 fi
 
-. ./defs || exit 1
-
 if [ "$command" = 'clean' ]; then
   rm -f t/results/*/*.pl.new
   rm -rf t/results/*/*/out_*/
-elif [ "$command" = 'generate' ]; then
-  for file in t/*.t; do
-    $PERL -w $file -g
-  done
-elif [ "$command" = 'output' ]; then
-  for file in t/*.t; do
-    $PERL -w $file -o
-  done
 elif [ "$command" = 'diff' ]; then
   if [ z"$test_name" = 'z' ]; then
     for result in t/results/*/*.pl; do
@@ -46,11 +36,24 @@
       diff -a -u --exclude=CVS -r $result $out
     done
   fi 
-elif [ "$command" = 'texis' ]; then
+else
+  # commands that require PERL
+  . ./defs || exit 1
+
+  if [ "$command" = 'generate' ]; then
+    for file in t/*.t; do
+      $PERL -w $file -g
+    done
+  elif [ "$command" = 'output' ]; then
+    for file in t/*.t; do
+      $PERL -w $file -o
+    done
+  elif [ "$command" = 'texis' ]; then
   for file in t/*.t; do
     $PERL -w $file -c
   done
-else
+  else
   echo "Unknown command ($cmds_list)"
   exit 1
+  fi
 fi



reply via email to

[Prev in Thread] Current Thread [Next in Thread]